# Embedded Uptime

Embed a small bit of code that gets your local server uptime.

An example of a Rust library that is embeddable in Python and Web Assembly.

##  Getting setup

Insure the following dependencies are in place:

* Rust v1.32+
* Python 3 Development headers (python3-dev in Ubuntu)

## Documentation

* [PyO3 Python - Rust bindings](https://pyo3.rs/master/get_started.html)
* [Setting up WebAssembly](https://www.hellorust.com/setup/wasm-target/)
* [Rust WASM book](https://rustwasm.github.io/book/introduction.html)
* [psutil](https://crates.io/crates/psutil)
